/* You can add global styles to this file, and also import other style files */
// 下拉框背景hover状态颜色
.ant-dropdown-menu {
  background-color: #3fa8eb;
  .ant-dropdown-menu-item:hover, .ant-dropdown-menu-submenu-title:hover {
    background-color: #3fa8eb;
    a {
      color: #fff;
    }
  }
}
.table{
  color:  var(--on-primary)!important ;
}
// 表格每页条数选项单位置
nz-table {
  .ant-table-thead > tr > th {
    color: rgba(60, 79, 140, 0.5); //标题字体颜色
    background-color: #F7F8FC;
    border-bottom: 0px solid #e8e8e8;
  }
  .ant-table-tbody > tr > td {
    background-color: #fff;
    border-bottom: 8px solid #F7F8FC;
  }
  .ant-spin-container {
    nz-pagination {
      ul {
        .ant-pagination-options {
          .ant-pagination-options-size-changer.ant-select {
            width: 100px;
            height: 40px;
            line-height: 40px !important;
            position: absolute;
            left: 0;
            color: #3C4F8C;
            .ant-select-selection--single {
              height: 40px;
              line-height: 40px !important;
              .ant-select-selection-selected-value {
                height: 40px;
                line-height: 40px !important;
              }
            }
          }
        }
      }
      .ant-pagination.mini.ant-table-pagination {
        .ant-pagination-prev, .ant-pagination-item, .ant-pagination-next {
          width: 40px;
          height: 40px;
          line-height: 40px;
          .ant-pagination-item-link, .ant-pagination-item-link:after {
            width: 40px;
            height: 40px;
            line-height: 40px;
          }
        }
        .ant-pagination-item.ant-pagination-item-active {
          background: linear-gradient(270deg, rgba(63, 156, 255, 1) 0%, rgba(98, 193, 246, 1) 100%);
          border-radius: 2px;
          a {
            color: #fff;
          }
        }
      }
    }
  }
}

// 详情页迷你表格样式
.detailInformatioin {
  nz-table {
    .ant-table-small {
      border-color: #dfdfe0;
      border-right: 0;
      .ant-table-content {
        border-color: #dfdfe0;
        .ant-table-body > table {
          padding: 0;
          .ant-table-thead > tr > th {
            background-color: #f0f2f5;
            font-weight: 700;
            font-size: 18px;
            padding: 2px 15px;
            border-color: #dfdfe0;
          }
          .ant-table-tbody > tr > td {
            background-color: #f0f2f5;
            font-size: 14px;
            padding: 2px 15px;
            color: #323437;
            border-color: #dfdfe0;
          }
        }
      }
    }
  }
}

// 日期选择插件背景颜色
.ant-calendar-picker {
    .ant-input {
        background-color: #eceff4;
        border-color: #9fa9ab;
    }           
}
// 分页每页条数选项单位置
nz-pagination {
  ul {
    .ant-pagination-options {
      .ant-pagination-options-size-changer.ant-select {
        position: absolute;
        left: 0;
        width: 100px;
        height: 40px;
        color: #3C4F8C;
        line-height: 40px !important;
        .ant-select-selection--single {
          height: 40px;
          line-height: 40px !important;
          .ant-select-selection-selected-value {
            height: 40px;
            line-height: 40px !important;
          }
        }
      }
    }
  }
  .ant-pagination.mini.ant-table-pagination {
    .ant-pagination-prev, .ant-pagination-item, .ant-pagination-next {
      width: 40px;
      height: 40px;
      line-height: 40px;
      .ant-pagination-item-link, .ant-pagination-item-link:after {
        width: 40px;
        height: 40px;
        line-height: 40px;
      }
    }
    .ant-pagination-item.ant-pagination-item-active {
      background: linear-gradient(270deg, rgba(63, 156, 255, 1) 0%, rgba(98, 193, 246, 1) 100%);
      border-radius: 2px;
      a {
        color: #fff;
      }
    }
  }
}

html,body,div,h1,h2,h3,h4,h5,h6,p,ul,li,a,span {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}
body {
    padding: 0 !important;
}
.fl {
    float: left;
}
.fr {
    float: right;
}
.clearfix:after{
    content:"";
    height:0;
    line-height:0;
    display:block;
    visibility:hidden;
    clear:both
}
.deleteModelContent {
    color: red;
}

/* WAN Port */
.wanPortModalList li {
    height: 35px;
    >span{
        display: inline-block;
        width: 165px;
        font: 700 14px "Arial";
        color: #3fa8eb;
        vertical-align: middle;
    }
    input {
        width: 165px;
    }
}

// D版本更改背景颜色修改
nz-layout {
    .ant-layout {
        background:#F7F8FC;
    }
    .list[_ngcontent-c3]{
        background-color: #F7F8FC;
        padding: 0px !important; 
    }
}
// onboard-vnf-vm页面调整
// 頭部導航
.ant-tabs-bar {
    box-shadow: 0 2px 23px 0 rgba(0, 0, 0, 0.1), 0 2px 49px 0 rgba(0, 0, 0, 0.06);
    border-bottom:none !important;
    background-color: #fff;
}
.ant-tabs-nav {
    padding-left: 15px !important;
    padding-top: 14px !important; 
}
.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-tab {
    background-color: #fff !important;
    border: 1px solid #fff !important;
    border-radius: 2px !important;
    margin-right: 0px !important;
    padding: 0 35px !important;
}
.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-tab-active {
    background: #fff !important;
    border-color: #7BC7F3 !important;
    color: #7BC7F3 !important;
}
.ant-tabs:not(.ant-tabs-vertical) > .ant-tabs-content {
    padding: 20px;
}
.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-nav-container {
    height: 55px !important;
}
.ant-upload.ant-upload-drag {
    border: 2px dashed #d9d9d9 !important;
}
.ant-upload.ant-upload-drag p.ant-upload-text {
    color:#42548F !important;
    font-family:"ArialMT" !important;
    font-size: 13px !important;
}
// 時間框
.ant-calendar-picker .ant-input {
    background-color: #fff;
    border-color: #EEEEEE;
}
.ant-calendar-picker:hover {
    border-color: #58B7F9;
}
.ant-calendar-picker {
    width: 234px !important;
}

//2019.01.21 add services-list.component.html

nz-modal {
  .ant-modal {
    height: 628px !important;
   background: url("assets/images/create-box.png") 100% 100%;
   // background-color: red;
  }
  .ant-modal-content{
    height: 628px !important;
   background:transparent;
   // background-color: rgb(0, 255, 42);

  }

 

  .ant-modal-header,ant-modal-title,.ant-modal-footer{
    background:transparent;
    border: none;
  }
  .ant-modal-title{
    font-size:20px;
    text-align: center;
    color:rgba(255,255,255,1);
    line-height:23px;
  }
  .ant-modal-body{
    padding:5px !important;
    span{
      font-size: 16px;
      color:rgba(60,79,140,0.5);
      line-height: 18px;
      display: inline-block;
    }
    nz-select{
      .ant-select-open.ant-select-selection{
        border: #48C6EF;
      }
      .ant-select-selection__rendered{
        .ant-select-selection-selected-value{
        //  color:rgba(60,79,140,0.5)!important;
        }
      }
    }
  }
   .ant-modal-footer{
    text-align: center;
    button{
      width: 126px;
      height: 40px;
      line-height: 40px;
      text-align: center;
      border: none;
      outline: none;
     // margin-top: 50px;
    }
    button:nth-child(1){
      background:#EEEEEE;
      border-radius:2px;
      margin-left: 50px;
      margin-right: 10px;
      span{
        color: #9DA7C5;
        font-size: 14px !important;
      }
    }
    button:nth-child(2){
      background:linear-gradient(310deg,rgba(30,158,255,1) 0%,rgba(99,200,255,1) 100%);
      box-shadow:0px 0px 2px 0px rgba(14,90,218,1);
      border-radius:2px;
      margin-left: 20px;
      margin-right: 50px;
      span{
        color: #FFFFFF;
        font-size: 14px !important;
      }
    }
 }
}



 @media only screen and (max-width: 600px)
{
  nz-modal {
    .ant-modal {
      height: 500px !important;
     background: url("assets/images/create-box.png") 100% 100%;
     
    }
    .ant-modal-content{
      height: 500px !important;
     background:transparent;
      
  
    }
    @media only screen and (max-width: 600px)
    {
      .abc{
        background: yellow !important;
      }
        }
  
   
  
    .ant-modal-header,ant-modal-title,.ant-modal-footer{
      background:transparent;
      border: none;
    }
    .ant-modal-title{
      font-size:20px;
      text-align: center;
      color:rgba(255,255,255,1);
      line-height:23px;
    }
    .ant-modal-body{
      padding:5px !important;
      span{
        font-size: 16px;
        color:rgba(60,79,140,0.5);
        line-height: 18px;
        display: inline-block;
      }
      nz-select{
        .ant-select-open.ant-select-selection{
          border: #48C6EF;
        }
        .ant-select-selection__rendered{
          .ant-select-selection-selected-value{
           // color:rgba(60,79,140,0.5)!important;
          }
        }
      }
    }
     .ant-modal-footer{
      text-align: center;
      button{
        width: 126px;
        height: 40px;
        line-height: 40px;
        text-align: center;
        border: none;
        outline: none;
       // margin-top: 50px;
      }
      button:nth-child(1){
        background:#EEEEEE;
        border-radius:2px;
        margin-left: 50px;
        margin-right: 10px;
        span{
          color: #9DA7C5;
          font-size: 14px !important;
        }
      }
      button:nth-child(2){
        background:linear-gradient(310deg,rgba(30,158,255,1) 0%,rgba(99,200,255,1) 100%);
        box-shadow:0px 0px 2px 0px rgba(14,90,218,1);
        border-radius:2px;
        margin-left: 20px;
        margin-right: 50px;
        span{
          color: #FFFFFF;
          font-size: 14px !important;
        }
      }
   }
  }

 }